vlax-curve-getpointatparam


(vlax-curve-getpointatparam curveEnt param)

This function returns the point on the curveEnt curve entity, at param location on the curve.

Arguments

curveEnt  (ename or vla-object) the COM object of any "curve" entity
param  (integer or double)  the "parameter" on the curve

Return

3d WCS point list, or NIL

Example

last entity is a LINE<0,0,0> to <10,10,10> :
(setq ent (vlax-ename->vla-object (entlast)))  #<VLA-OBJECT IAcadLine 000000002EC2C370>

(vlax-curve-getpointatparam ent 3.5)  returns (2.02072594216369 2.02072594216369 2.02072594216369)

Remarks




©  Bricsys NV. All rights reserved.